Summary: Proftpd ftp server
Name: proftpd-rhcn
Version: 1.2.0pre3
Release: 1
Copyright: GPL
Packager: Red Hat Contrib|Net <rhcn-bugs@redhat.com>
Group: Networking/Daemons
URL: http://www.proftpd.org/
Source0: proftpd-1.2.0pre3.tar.gz
Source1: proftpd-configuration.html
Source2: proftpd-reference.html
Patch0: proftpd-1.2.0pre3-make.patch
BuildRoot: /var/tmp/proftpd
Provides: ftpserver
Obsoletes: proftpd

%description
ProFTPD is a highly configurable ftp daemon for unix and unix-like
operating systems.  It features virtual hosting, default root directories,
and a completely new (not based on other implementations) source tree.

%changelog
* Sat Mar 13 1999 James Bourne <jbourne@affinity-systems.ab.ca>
- updated to version 1.2.0pre3

* Fri Feb 12 1999 James Bourne <jbourne@affinity-systems.ab.ca>
- Original build

%prep
%setup -n proftpd-%{version}
%patch0 -p1 -b .make

%build
./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var/run --enable-autoshadow

make depend
make

%install
if [ ! -d $RPM_BUILD_ROOT ] ; then
	mkdir -p $RPM_BUILD_ROOT
fi
install -d -m 755 $RPM_BUILD_ROOT/usr/doc
install -d -m 755 $RPM_BUILD_ROOT/etc
install -d -m 755 $RPM_BUILD_ROOT/usr/bin
install -d -m 755 $RPM_BUILD_ROOT/usr/sbin
install -d -m 755 $RPM_BUILD_ROOT/usr/man/man1
install -d -m 755 $RPM_BUILD_ROOT/usr/man/man5
install -d -m 755 $RPM_BUILD_ROOT/usr/man/man8
install -d -m 755 $RPM_BUILD_ROOT/var/run/proftpd

make install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%config %attr(644,root,root) /etc/proftpd.conf
%attr(511,root,root)/usr/sbin/proftpd
%attr(-,root,root)/usr/sbin/in.proftpd
%attr(755,root,root)/usr/bin/ftpcount
%attr(-,root,root)/usr/bin/ftpwho
%attr(755,root,root)/usr/sbin/ftpshut
%attr(644,root,root)/usr/man/man8/proftpd.8
%attr(644,root,root)/usr/man/man8/ftpshut.8
%attr(644,root,root)/usr/man/man5/xferlog.5
%attr(644,root,root)/usr/man/man1/ftpcount.1
%attr(644,root,root)/usr/man/man1/ftpwho.1
%attr(-,root,root) %doc COPYING INSTALL README README.Solaris2.5x
%attr(-,root,root) %doc README.linux-privs changelog sample-configurations contrib
%attr(644,root,root) %doc $RPM_SOURCE_DIR/proftpd-configuration.html
%attr(644,root,root) %doc $RPM_SOURCE_DIR/proftpd-reference.html
